
#ifndef DPCIINDUST_H
#define DPCIINDUST_H

#include <linux/ioctl.h> 

#define dpciindust_major 159
#define MAXCARD 8
#define REGIONLENGTH 8

#define DPCIINDUST_WRITE_PORT           _IOW(dpciindust_major, 0 , int)
#define DPCIINDUST_READ_PORT            _IOR(dpciindust_major, 1 , int)
#define DPCIINDUST_SELECT_PORT          _IOW(dpciindust_major, 2 , int)

#define DEVICE_NAME "dpciindust"

#define PORT1 0
#define PORT2 1
#define PORT3 2
#define PORT4 3

int ReadPciIndustPort(int file_desc,int port);
int WritePciIndustPort(int file_desc,int port,int data);
#endif


  

